> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opal.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Post bundles

> Creates a bundle.



## OpenAPI

````yaml https://app.opal.dev/openapi.yaml post /bundles
openapi: 3.1.0
info:
  contact:
    email: hello@opal.dev
    name: Opal Team
    url: https://www.opal.dev/
  description: >-
    The Opal API is a RESTful API that allows you to interact with the Opal
    Security platform programmatically.
  title: Opal API
  version: '1.0'
servers:
  - description: Production
    url: https://api.opal.dev/v1
security: []
tags:
  - name: access-rules
    description: Operations related to access rules
  - name: apps
    description: Operations related to apps
  - name: bundles
    description: Operations related to bundles
  - name: configuration-templates
    description: Operations related to configuration templates
  - name: delegations
    description: Operations related to request reviewer delegations
  - name: events
    description: Operations related to events
  - name: groups
    description: Operations related to groups
  - name: group-bindings
    description: Operations related to group bindings
  - name: idp-group-mappings
    description: Operations related to IDP group mappings
  - name: message-channels
    description: Operations related to message channels
  - name: non-human-identities
    description: Operations related to non-human identities
  - name: on-call-schedules
    description: Operations related to on-call schedules
  - name: owners
    description: Operations related to owners
  - name: requests
    description: Operations related to requests
  - name: resources
    description: Operations related to resources
  - name: sessions
    description: Operations related to sessions
  - name: tags
    description: Operations related to tags
  - name: tokens
    description: Operations related to API tokens
  - name: uars
    description: Operations related to UARs
  - name: users
    description: Operations related to users
paths:
  /bundles:
    post:
      tags:
        - bundles
      description: Creates a bundle.
      operationId: createBundle
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateBundleInfo'
      responses:
        '201':
          description: The bundle successfully created.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Bundle'
      security:
        - BearerAuth: []
components:
  schemas:
    CreateBundleInfo:
      description: >-
        # CreateBundleInfo Object

        ### Description

        The `CreateBundleInfo` object is used to store creation info for a
        bundle.


        ### Usage Example

        Use in the `POST Bundles` endpoint.
      example:
        name: Engineering Team Bundle
        description: Engineering team bundle.
        admin_owner_id: 7870617d-e72a-47f5-a84c-693817ab4567
      properties:
        name:
          type: string
          description: The name of the bundle.
          example: Test Bundle
        description:
          type: string
          description: A brief description of the bundle.
          example: This is a test bundle
        admin_owner_id:
          type: string
          description: The ID of the bundle's admin owner.
          example: 7c86c85d-0651-43e2-a748-d69d658418e8
      required:
        - name
        - admin_owner_id
    Bundle:
      properties:
        bundle_id:
          description: The ID of the bundle.
          example: a381e7a3-e5e0-4c48-b1d6-4ccb4c191bc1
          format: uuid
          type: string
          readOnly: true
        name:
          description: The name of the bundle.
          example: Bundle 1
          type: string
        description:
          description: The description of the bundle.
          example: Description of bundle 1
          type: string
        created_at:
          type: string
          format: date-time
          description: The creation timestamp of the bundle, in ISO 8601 format
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: The last updated timestamp of the bundle, in ISO 8601 format
          readOnly: true
        admin_owner_id:
          description: The ID of the owner of the bundle.
          example: 4aed3e8a-727b-4d72-8010-3b8710c50bec
          format: uuid
          type: string
        total_num_items:
          description: The total number of items in the bundle.
          example: 15
          type: integer
          readOnly: true
        total_num_resources:
          description: The total number of resources in the bundle.
          example: 10
          type: integer
          readOnly: true
        total_num_groups:
          description: The total number of groups in the bundle.
          example: 5
          type: integer
          readOnly: true
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````